package yangtz.cs.liu.campus.service.schoolAssets;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.schoolAssets.SchoolAssets;
import yangtz.cs.liu.campus.vo.schoolAssets.AssetsVo;

import java.util.List;

/**
 * 物品登记Service接口
 *
 * @author ruoyi
 * @date 2023-01-07
 */
public interface ISchoolAssetsService extends IService<SchoolAssets>
{
    Boolean addAssets(Long assetsId, Integer enterNumbers);

    Boolean reduceAssets(Long assetsId, Integer outNumbers);

    Boolean updateInAssets(Long assetsId, Integer oldNum, Integer newNum);

    Boolean updateOutAssets(Long assetsId, Integer oldNum, Integer newNum);

    List<AssetsVo> queryList(SchoolAssets schoolAssets);
}
